@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2012.   .
rem
rem  Note to U.S. Government Users Restricted Rights:
rem  Use, duplication or disclosure restricted by GSA ADP Schedule
rem  Contract with IBM Corp.
rem  *******************************************************************************

rem ################################################################################
rem
rem   ,     .
rem
rem ################################################################################

setlocal
set TAB=     
if "%1" == "" goto :LBLEND
if "%1" == "HELP" goto :LBLHELP
goto LBLMSG_%1


REM *********************************
REM *     *
REM *********************************

:LBLMSG_NO_ADMIN_PRIVILEGES
echo.
echo       .
echo.
goto LBLEND

:LBLMSG_INVALID_LAUNCH
set TAB=    
echo.
echo    app_upgrade .    JTS
echo       :
echo  %TAB%relm_upgrade
echo  -help     .
echo.
goto LBLEND

:LBLMSG_INVALID_START_DIR
set TAB=    
echo.
echo   ,     -help,  %2     %3
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAME
echo.
echo  "%2"      .
echo                      .
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAMES_LIST
echo.
echo         JTS    .                       .
echo %TAB%- RELM upgrade:  "%2params\relm_params%3.bat"
echo.
goto LBLEND


REM ************************************
REM *       *
REM ************************************

REM  
rem ======================

:LBLMSG_MISSING_APP_TYPE
echo.
echo    JTS  .    JTS
echo       :
echo  relm_upgrade
echo  -help     .
echo.
goto LBLEND

:LBLMSG_INVALID_APP_TYPE
echo.
echo   : %2.        :
echo  relm_upgrade
echo  -help     .
echo.
goto LBLEND

:LBLMSG_MISSING_PARAM_VALUE
echo.
echo     %2.
echo      -help.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_DIR
echo.
echo  %3,    %2,    .
echo      -help.
echo.
goto LBLEND

:LBLMSG_RELATIVE_PARAM_DIR
echo.
echo  %3,    %2,    .
echo      -help.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_FILE
echo.
echo  %3,    %2,    .
echo      -help.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_VALUE
echo.
echo %3      %2.
echo      -help.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM
echo.
echo %2   .
echo      -help.
echo.
goto LBLEND


REM  
rem ======================

:LBLMSG_MISSING_HOME_PARAM
echo.
echo      %2.
echo      -help.
echo.
goto LBLEND

:LBLMSG_DIR_NOT_FOUND
echo.
echo  %2    .
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_2X_APP
echo.
echo    repotools : '%2'.
echo.
echo   ,    -oldApplicationHome '%3'     ,  'JazzInstallDir\server\conf'.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_APP
echo.
echo    repotools : '%2'.
echo.
echo   ,    -oldApplicationHome '%3'     ,  'JazzInstallDir\server\conf',    jtsContextRoot '%4'  .
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_2X_APP
echo.
echo     '%2'.
echo.
echo   ,    -oldApplicationHome '%3'     ,  'JazzInstallDir\server\conf'.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_APP
echo.
echo     '%2'.
echo.
echo   ,    -oldApplicationHome '%3'     ,  'JazzInstallDir\server\conf',    jtsContextRoot '%4'  .
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_APP
echo.
echo    repotools : '%2'.
echo.
echo   ,    -newApplicationHome '%3'      ,  'JazzInstallDir\server\conf',    jtsContextRoot '%4'  .
echo     ,      .  ,   Installation Manager      %5   "  ".       ,          %5.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_APP
echo.
echo     '%2'.
echo.
echo   ,    -newApplicationHome '%3'      JTS,  'JazzInstallDir\server\conf',    jtsContextRoot '%4'  .
echo     ,      .  ,   Installation Manager      %5   "  ".       ,          %5.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_JTS
echo.
echo    JTS repotools: '%2'.
echo.
echo   ,    -oldJTSHome '%3'      JTS,  'JazzInstallDir\server\conf',    jtsContextRoot '%4'  .
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_JTS
echo.
echo     '%2'.
echo.
echo   ,    -oldJTSHome '%3'      JTS,  'JazzInstallDir\server\conf',    jtsContextRoot '%4'  .
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_JTS
echo.
echo    JTS repotools: '%2'.
echo.
echo   ,    -newJTSHome '%3'      JTS,  'JazzInstallDir\server\conf',    jtsContextRoot '%4'  .
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_JTS
echo.
echo     '%2'.
echo.
echo   ,    -newJTSHome '%3'      JTS,  'JazzInstallDir\server\conf',    jtsContextRoot '%4'  .
echo.
goto LBLEND

:LBLMSG_MISSING_IMPORT_FROM_FILE
echo.
echo   %2   tar    2.x.
echo      -help.
echo.
goto LBLEND


REM **************************
REM *    *
REM **************************

:LBLMSG_BANNER_RELM
echo.
echo.
echo =============================================
echo ===            RELM              ===
echo =============================================
echo.
goto LBLEND


REM **************************
REM * .   *
REM **************************

:LBLMSG_INITIAL_STEP_FAILED
echo.
echo         ...
goto LBLEND

:LBLMSG_LAST_STEP_FAILED
echo.
echo         %2...
echo        ?
goto LBLEND

:LBLMSG_ALREADY_RUN
echo.
echo    ...
echo       ?
goto LBLEND

:LBLMSG_LAST_STEP_PASSED
echo.
echo        %2...
echo      (%3)   ?
goto LBLEND

:LBLMSG_ENTER_NEXT_STEP
echo.
echo    [%2-%3]       [Enter]  :
goto LBLEND

:LBLMSG_INTEGER_STEP_NUMBER
echo.
echo '%2'   .    .
goto LBLEND

:LBLMSG_INVALID_STEP_NUMBER
echo.
echo   '%2' .    .
goto LBLEND

:LBLMSG_MAX_STEP_NUMBER
echo.
echo    %2,       %3.
goto LBLEND

:LBLMSG_NUM_MAX_STEP_NUMBER
echo.
echo     %2,       %3.
goto LBLEND


REM ***********************
REM *    *
REM ***********************

:LBLMSG_STEP_0
echo  0:   
echo ---------------------------
goto LBLEND

:LBLMSG_STEP_1_ADD
echo  1:  
echo ------------------
goto LBLEND

:LBLMSG_STEP_2_UPGRADE_DATA_WAREHOUSE
echo  2:   
echo -------------------------------------
goto LBLEND

:LBLMSG_STEP_2_REBUILD_QUERY_AND_INDEXES
echo  %2:      
echo -----------------------------------------
goto LBLEND

:LBLMSG_STEP_3_UPGRADE_DATA_WAREHOUSE
echo  3:   
echo -------------------------------------
goto LBLEND

:LBLMSG_FULL_TEXT_INDICES_STEP
echo  %2:  
echo ----------------------------
goto LBLEND

:LBLMSG_JFS_INDICES_STEP
echo  %2:      
echo -----------------------------------------
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_FAILED
echo.
echo    %2     %3.       ,    %3.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_RELM
echo.
echo  %2  .     JTS     (  VVC, LQE  Sparql_Gateway),      .
echo.
goto LBLEND

REM *******************************
REM *     *
REM *******************************

:LBLMSG_STEP_DIR_CMD
echo.
echo : %2
echo :
goto LBLEND

:LBLMSG_ENTER_STEP_ACTION
echo  [E]    , [S]     [Enter]    :
goto LBLEND

:LBLMSG_INVALID_STEP_ACTION
echo.
echo  '%2' .  'E', 'S'   'Enter'
echo.
goto LBLEND

:LBLMSG_EDIT_TEAMSERVER_PROPERTIES
echo.
echo    ,      teamserver.properties %2.
echo    URI,    com.ibm.team.repository.server.webapp.url.
echo     .
echo    (  )       .
echo.
goto LBLEND

:LBLMSG_PAUSE
echo.
echo  [C]     [Enter]   :
goto LBLEND

:LBLMSG_INVALID_PAUSE_ACTION
echo.
echo  '%2' .  'C'   'Enter'
echo.
goto LBLEND

:LBLMSG_COPY_INDICES_FAILED
echo.
echo     '%2'  '%3'. 
echo   com.ibm.team.fulltext.indexLocation
echo   teamserver.properties.
echo       
echo     repotools -rebuildTextIndices.
echo.
goto LBLEND

REM *****************************************
REM *     URI    *
REM *****************************************

:LBLMSG_MISSING_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo  URI   
echo %3,
echo    .
echo.
echo       URI   :
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo   teamserver.properties      URI, com.ibm.team.repository.server.webapp.url.
echo      teamserver.properties        URI,       .
echo   URI       .        .  
echo       InfoCenter,  ' URI'.
echo.
goto LBLEND

:LBLMSG_COMMENTED_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo   URI,  
echo %3,
echo   ,    .
echo.
echo       URI     :
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo   teamserver.properties      URI, com.ibm.team.repository.server.webapp.url.
echo      teamserver.properties        URI,       .
echo   URI       .        .
echo       InfoCenter,  ' URI'.
echo.
goto LBLEND

:LBLMSG_CONTEXT_ROOTS_CANNOT_BE_SAME
echo.
echo   jts - '%2'.
echo    - '%3'.
echo   jts     .
echo.
goto LBLEND

:LBLEND
endlocal
