@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2006, 2012. All Rights Reserved.
rem  
rem  Note to U.S. Government Users Restricted Rights:  
rem  Use, duplication or disclosure restricted by GSA ADP Schedule 
rem  Contract with IBM Corp. 
rem  *******************************************************************************


REM #############################################################
REM #
REM # Define the environment variables corresponding to the
REM # relm_upgrade.bat script parameters and their default values
REM #
REM #===========================================================
REM #
REM # This file is read at the beginning of the relm_upgrade.bat
REM # script execution. It sets one environment variable per
REM # valid parameter with a predefined default value.
REM #
REM # Users may want to modify the default value in order to
REM # launch the relm_upgrade.bat script with their own values
REM # without having to enter the parameter and its
REM # corresponding value manually at the command line.
REM #
REM # WARNING:
REM # Not all variables are required to be set for every
REM # application.  Read each comment carefully before modifying
REM # the value.
REM #
REM #############################################################

rem p[^[: -oldApplicationHome
rem gp@: -oldApplicationHome <fBNg[EpX>
rem :
rem 	ÂCXg[ς݊ł̃AvP[VEz[EfBNg[̐΃pXB
rem ftHg:
rem 	<Ȃ>
rem :
rem  - ͕K{p[^[łB
rem  - <fBNg[EpX> ́Auserver\confvŏĨfBNg[łȂ΂Ȃ܂B
rem    : D:\Jazz\IBM\JazzInstallDir\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem p[^[: -applicationContextRoot
rem gp@: -applicationContextRoot<[g>
rem :
rem 	AvP[VEReLXgE[gB
rem ftHg:
rem 	relm
rem :
rem  - <[g> ͗LȒP̃fBNg[ (OɃXbVȂ) łȂ΂Ȃ܂B
rem
set APPLICATION_CONTEXT_ROOT=relm

rem p[^[: -oldApplicationVersion
rem gp@: -oldApplicationVersion <o[W>
rem :
rem 	AbvO[h RELM o[WBftHgł́AÂAvP[Vɑ΂
rem     repotools -version s鑀ł̒lʂ܂B
rem ftHg:
rem 	<Ȃ>
rem :
rem  - Sȃo[WEXgO
rem    (1.0.0.1 Ȃ) ɂĂ
rem
set OLD_APPLICATION_VERSION=

rem p[^[: -newApplicationHome
rem gp@: -newApplicationHome <fBNg[EpX>
rem :
rem 	VKCXg[ł̃AvP[VEz[EfBNg[̃pXB
rem ftHg:
rem 	<sfBNg[>/conf
rem :
rem  - ͕K{p[^[łB
rem  - <fBNg[EpX> ́A'server\conf' ŏĨfBNg[łȂ΂Ȃ܂B
rem    : D:\Jazz\IBM\JazzInstallDir\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem p[^[: -updateTomcatFiles
rem gp@: -updateTomcatFiles <yes | no>
rem :
rem 	Tomcat \t@CXV邩ǂB
rem ftHg:
rem 	yes
rem :
rem  - Lĺuyesvсunov݂̂łB
rem
set UPDATE_TOMCAT_FILES=yes

rem p[^[: -oldApplicationTomcatHome
rem gp@: -oldApplicationTomcatHome <fBNg[EpX>
rem :
rem 	ÂCXg[ς݊ł Tomcat [gEfBNg[̐΃pXB
rem ftHg:
rem 	<Ȃ>
rem :
rem  - ̃fBNg[łȂ΂Ȃ܂B
rem
set OLD_APP_TOMCAT_HOME=

rem p[^[: -newApplicationTomcatHome
rem gp@: -newApplicationTomcatHome <fBNg[EpX>
rem :
rem 	VKCXg[ł̃AvP[V Tomcat [gEfBNg[̃pXB
rem ftHg:
rem 	<Ȃ>
rem
set NEW_APP_TOMCAT_HOME=

rem p[^[: -newJTSHome
rem gp@: -newJTSHome <fBNg[EpX>
rem :
rem 	VKCXg[ς݊Ŏgp JTS  JTS T[o[\fBNg[ւ̃pXB
rem ftHg:
rem 	VK̃AvP[VEz[EfBNg[
rem :
rem  - <fBNg[EpX> ́Auserver\confvŏĨfBNg[łȂ΂Ȃ܂B
rem
set NEW_JTS_HOME=

rem p[^[: -jtsContextRoot
rem gp@: -jtsContextRoot <[g>
rem :
rem 	JTS T[o[̃ReLXgE[gB
rem ftHg:
rem 	jts
rem :
rem  - <[g> ͗LȒP̃fBNg[ (OɃXbVȂ) łȂ΂Ȃ܂B
rem
set JTS_CONTEXT_ROOT=jts

rem p[^[: -noPrompt
rem gp@: -noPrompt
rem :
rem 	\쐬܂͕ύXOɃvvgo܂B
rem ftHg:
rem 	<Ȃ>
rem :
rem  - Ll͋܂́unoPromptv݂̂łB
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem p[^[: -noVerify
rem gp@: -noVerify
rem :
rem 	teamserver.properties t@Čs܂B
rem ftHg:
rem 	<Ȃ>
rem :
rem  - Ll͋܂́unoVerifyv݂̂łB
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem p[^[: -overwrite
rem gp@: -overwrite
rem :
rem 	̃t@Cׂď㏑邩ǂB
rem ftHg:
rem 	no
rem :
rem  - Ll͋܂́uoverwrite=yesv݂̂łB
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem p[^[: -noStepPrompt
rem gp@: -noStepPrompt
rem :
rem 	XebvsOɃvvgo܂B
rem ftHg:
rem 	false
rem :
rem  - Lĺutruev܂́ufalsev݂̂łB
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
